M3TAGS(1)

NAME
m3tags - create a tags table for gnuemacs from Modula-3 sources

SYNTAX

m3tags [-q] [-e] [-t] [-v] [-c] [-o] [-] [files]

DESCRIPTION
m3tags parses Modula-3 programs contained in files to build a tags table for gnuemacs. The tags table is output on stdout.

OPTIONS

-q  Create tags for both the qualified and the unqualified version of identifiers (otherwise, only unqualified versions are tagged).

-e  Do not create tags for exceptions.

-t  Do no create tags for types.

-v  Do no create tags for variables.

-c  Do no create tags for constants.

-o  Old style: use ETAG format file instead of FTAG.

-   Get the names of the files to be processed from stdin, one per line.

SEE ALSO
gnuemacs(1)

AUTHOR OF OBJECT
David Goldberg (goldberg@parc.xerox.com)